/* Copyright (c) 2001, 2003, 2004 by Arkkra Enterprises */
/* All rights reserved */

#ifndef _SSVUSED_H
#define _SSVUSED_H

/*
 * This file contains the array subscript definitions for the used[] array
 * of an SSV struct. An SSV contains parameters associated with a
 * Score, Staff, or Voice.  The used[] array is a set of flags which say
 * whether a given parameter is actually populated in the SSV instance.
 * In the "score" SSV, all used flags are always set true.  In SSVs for
 * a staff or voice, a "used" flag is only set to true if the user
 * specified a value for the parameter in that staff or voice context.
 *
 * The actual values are machine-generated so they get automatically
 * renumbered if parameters are added or deleted or rearranged.
 *
 * We try to put things that are logically similar close together in
 * this list, but they could be in any order, other than that NUMFLDS
 * _must_ be last.
 */

#define	SCALE_FACTOR		(0)
#define	UNITS			(1)
#define	PAGEHEIGHT		(2)
#define	PAGEWIDTH		(3)
#define	PANELSPERPAGE		(4)
#define	TOPMARGIN		(5)
#define	BOTMARGIN		(6)
#define	LEFTMARGIN		(7)
#define	RIGHTMARGIN		(8)
#define	RESTCOMBINE		(9)
#define	FIRSTPAGE		(10)
#define	NUMSTAFF		(11)
#define	MINSCSEP		(12)
#define	MAXSCSEP		(13)
#define	SCOREPAD		(14)
#define	BRACELIST		(15)
#define	BRACKLIST		(16)
#define	BARSTLIST		(17)
#define	TIME			(18)
#define	DIVISION		(19)
#define	ENDINGSTYLE		(20)
#define	GRIDSATEND		(21)
#define	MEASNUM			(22)
#define	MEASNUMFAMILY		(23)
#define	MEASNUMFONT		(24)
#define	MEASNUMSIZE		(25)
#define	PACKFACT		(26)
#define	PACKEXP			(27)
#define	WARN			(28)
#define	STAFFSCALE		(29)
#define	VISIBLE			(30)
#define	STAFFLINES		(31)
#define	GRIDSWHEREUSED		(32)
#define	GRIDSCALE		(33)
#define	GRIDFRET		(34)
#define	NUMBERMRPT		(35)
#define	PRINTMULTNUM		(36)
#define	VSCHEME			(37)
#define	SHARPS			(38)
#define	CANCELKEY		(39)
#define	TRANSPOSITION		(40)
#define	ADDTRANSPOSITION	(41)
#define	CLEF			(42)
#define	REHSTYLE		(43)
#define	FONTFAMILY		(44)
#define	FONT			(45)
#define	SIZE			(46)
#define	LYRICSFAMILY		(47)
#define	LYRICSFONT		(48)
#define	LYRICSSIZE		(49)
#define	LYRICSALIGN		(50)
#define	SYLPOSITION		(51)
#define	MINSTSEP		(52)
#define	STAFFPAD		(53)
#define	ABOVEORDER		(54)
#define	BELOWORDER		(55)
#define	BETWEENORDER		(56)
#define	PEDSTYLE		(57)
#define	CHORDDIST		(58)
#define	DIST			(59)
#define	DYNDIST			(60)
#define	LABEL			(61)
#define	LABEL2			(62)
#define	BEAMSTLIST		(63)
#define	BEAMSLOPE		(64)
#define	PAD			(65)
#define	STEMLEN			(66)
#define	DEFOCT			(67)
#define	TIMEUNIT		(68)
#define	SWINGUNIT		(69)
#define	RELEASE			(70)
#define	ONTHELINE		(71)
#define	TABWHITEBOX		(72)
#define	NOTEHEADS		(73)
#define	NUMFLDS			(74)

#endif
